/*******************************************************************************
 *  Copyright CONSORTIUM COCKTAIL (www.cocktail.org), 1995, 2008
 *  
 *  This software is governed by the CeCILL license under French law and abiding
 *  by the rules of distribution of free software. You can use, modify and/or
 *  redistribute the software under the terms of the CeCILL license as circulated
 *  by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".
 *  
 *  As a counterpart to the access to the source code and rights to copy, modify
 *  and redistribute granted by the license, users are provided only with a
 *  limited warranty and the software's author, the holder of the economic
 *  rights, and the successive licensors have only limited liability.
 *  
 *  In this respect, the user's attention is drawn to the risks associated with
 *  loading, using, modifying and/or developing or reproducing the software by
 *  the user in light of its specific status of free software, that may mean that
 *  it is complicated to manipulate, and that also therefore means that it is
 *  reserved for developers and experienced professionals having in-depth
 *  computer knowledge. Users are therefore encouraged to load and test the
 *  software's suitability as regards their requirements in conditions enabling
 *  the security of their systems and/or data to be ensured and, more generally,
 *  to use and operate it in the same conditions as regards security.
 *  
 *  The fact that you are presently reading this means that you have had
 *  knowledge of the CeCILL license and that you accept its terms.
 * 
 *******************************************************************************/

package org.cocktail.kaki.client.gui;

import java.awt.BorderLayout;
import java.math.BigDecimal;
import java.util.Vector;

import javax.swing.BorderFactory;
import javax.swing.JScrollPane;
import javax.swing.ListSelectionModel;
import javax.swing.SwingConstants;

import org.cocktail.application.client.swing.TableSorter;
import org.cocktail.application.client.swing.ZEOTable;
import org.cocktail.application.client.swing.ZEOTableCellRenderer;
import org.cocktail.application.client.swing.ZEOTableModel;
import org.cocktail.application.client.swing.ZEOTableModelColumn;
import org.cocktail.kaki.common.KakiConstantes;
import org.cocktail.kaki.common.KakiIcones;

import com.webobjects.eointerface.EODisplayGroup;

/**
 * 
 * @author cpinsard
 */
public class EditionAgentsView extends javax.swing.JPanel {

	/**
	 * 
	 */
	private static final long serialVersionUID = 4965796877211069088L;
	ZEOTableCellRenderer myRenderer;

	public ZEOTable getMyEOTable() {
		return myEOTable;
	}

	public void setMyEOTable(ZEOTable myEOTable) {
		this.myEOTable = myEOTable;
	}

	protected EODisplayGroup eod, eodElements;
	protected ZEOTable myEOTableElements, myEOTable;
	protected ZEOTableModel myTableModel, myTableModelElements;
	protected TableSorter myTableSorter, myTableSorterElements;

	public javax.swing.JButton getButtonPreparer() {
		return buttonUpdate;
	}

	/** Creates new form TemplateJPanel */
	public EditionAgentsView(EODisplayGroup displayGroup,
			EODisplayGroup displayGroupElements, ZEOTableCellRenderer renderer) {

		eod = displayGroup;
		eodElements = displayGroupElements;

		myRenderer = renderer;

		initComponents();
		initGui();

	}

	/**
	 * This method is called from within the constructor to initialize the form.
	 * WARNING: Do NOT modify this code. The content of this method is always
	 * regenerated by the Form Editor.
	 */

	// <editor-fold defaultstate="collapsed"
	// desc="Generated Code">//GEN-BEGIN:initComponents
	private void initComponents() {

		tfTotal = new javax.swing.JTextField();
		jLabel2 = new javax.swing.JLabel();
		viewTable = new javax.swing.JPanel();
		buttonUpdate = new javax.swing.JButton();
		buttonExporter = new javax.swing.JButton();
		buttonImprimer = new javax.swing.JButton();
		jLabel3 = new javax.swing.JLabel();
		tfCountRows = new javax.swing.JTextField();
		jTextField2 = new javax.swing.JTextField();
		jTextField3 = new javax.swing.JTextField();
		jLabel5 = new javax.swing.JLabel();
		tfNom = new javax.swing.JTextField();
		tfPrenom = new javax.swing.JTextField();
		jLabel6 = new javax.swing.JLabel();
		jLabel14 = new javax.swing.JLabel();
		titulaires = new javax.swing.JComboBox();
		enseignants = new javax.swing.JComboBox();
		tfGrade = new javax.swing.JTextField();
		jLabel7 = new javax.swing.JLabel();
		btnGetGrade = new javax.swing.JButton();
		btnDelGrade = new javax.swing.JButton();
		jLabel11 = new javax.swing.JLabel();
		buttonDelCompte = new javax.swing.JButton();
		buttonDelElement = new javax.swing.JButton();
		buttonGetElement = new javax.swing.JButton();
		buttonGetCompte = new javax.swing.JButton();
		tfLibelleElement = new javax.swing.JTextField();
		tfLibelleImput = new javax.swing.JTextField();
		tfCodeElement = new javax.swing.JTextField();
		jLabel12 = new javax.swing.JLabel();
		tfCodeImput = new javax.swing.JTextField();

		setAutoscrolls(true);
		setFocusable(false);

		tfTotal.setEditable(false);
		tfTotal.setHorizontalAlignment(javax.swing.JTextField.RIGHT);

		jLabel2.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
		jLabel2.setText("Total");

		viewTable.setLayout(new java.awt.BorderLayout());

		buttonUpdate.setText("Actualiser");
		buttonUpdate.setToolTipText("Actualiser la liste des éléments");

		buttonExporter.setContentAreaFilled(false);

		buttonImprimer.setContentAreaFilled(false);

		jLabel3.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
		jLabel3.setText("Lignes :");

		tfCountRows.setEditable(false);
		tfCountRows.setFont(new java.awt.Font("Tahoma", 1, 14));
		tfCountRows.setForeground(new java.awt.Color(51, 51, 255));
		tfCountRows.setHorizontalAlignment(javax.swing.JTextField.RIGHT);
		tfCountRows.setBorder(null);
		tfCountRows.setFocusable(false);

		jTextField2.setBackground(new java.awt.Color(204, 204, 255));
		jTextField2.setEditable(false);
		jTextField2.setHorizontalAlignment(javax.swing.JTextField.CENTER);
		jTextField2.setText("Filtres de recherche");

		jTextField3.setBackground(new java.awt.Color(204, 204, 255));
		jTextField3.setEditable(false);
		jTextField3.setHorizontalAlignment(javax.swing.JTextField.CENTER);
		jTextField3.setText("Résultats");

		jLabel5.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
		jLabel5.setText("Nom :");

		tfNom.setHorizontalAlignment(javax.swing.JTextField.LEFT);
		tfNom.addActionListener(new java.awt.event.ActionListener() {
			public void actionPerformed(java.awt.event.ActionEvent evt) {
				tfNomActionPerformed(evt);
			}
		});

		tfPrenom.setHorizontalAlignment(javax.swing.JTextField.LEFT);

		jLabel6.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
		jLabel6.setText("Prénom :");

		jLabel14.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
		jLabel14.setText("Population :");

		titulaires.setModel(new javax.swing.DefaultComboBoxModel(new String[] {
				"Item 1", "Item 2", "Item 3", "Item 4" }));
		titulaires.setToolTipText("Budget");
		titulaires.addActionListener(new java.awt.event.ActionListener() {
			public void actionPerformed(java.awt.event.ActionEvent evt) {
				titulairesActionPerformed(evt);
			}
		});

		enseignants.setModel(new javax.swing.DefaultComboBoxModel(new String[] {
				"Item 1", "Item 2", "Item 3", "Item 4" }));
		enseignants.setToolTipText("Budget");
		enseignants.addActionListener(new java.awt.event.ActionListener() {
			public void actionPerformed(java.awt.event.ActionEvent evt) {
				enseignantsActionPerformed(evt);
			}
		});

		tfGrade.setHorizontalAlignment(javax.swing.JTextField.LEFT);
		tfGrade.addActionListener(new java.awt.event.ActionListener() {
			public void actionPerformed(java.awt.event.ActionEvent evt) {
				tfGradeActionPerformed(evt);
			}
		});

		jLabel7.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
		jLabel7.setText("Grade :");

		btnGetGrade.setToolTipText("Sélection d'un grade");

		btnDelGrade.setToolTipText("Sélection d'un grade");

		jLabel11.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
		jLabel11.setText("Element TG :");

		tfLibelleElement.setEditable(false);
		tfLibelleElement.addActionListener(new java.awt.event.ActionListener() {
			public void actionPerformed(java.awt.event.ActionEvent evt) {
				tfLibelleElementActionPerformed(evt);
			}
		});

		tfLibelleImput.setEditable(false);
		tfLibelleImput.addActionListener(new java.awt.event.ActionListener() {
			public void actionPerformed(java.awt.event.ActionEvent evt) {
				tfLibelleImputActionPerformed(evt);
			}
		});

		tfCodeElement.addActionListener(new java.awt.event.ActionListener() {
			public void actionPerformed(java.awt.event.ActionEvent evt) {
				tfCodeElementActionPerformed(evt);
			}
		});

		jLabel12.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
		jLabel12.setText("Compte 6 :");

		tfCodeImput.addActionListener(new java.awt.event.ActionListener() {
			public void actionPerformed(java.awt.event.ActionEvent evt) {
				tfCodeImputActionPerformed(evt);
			}
		});

		org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(
				this);
		this.setLayout(layout);
		layout.setHorizontalGroup(layout
				.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
				.add(jTextField2, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE,
						852, Short.MAX_VALUE)
				.add(layout
						.createSequentialGroup()
						.addContainerGap()
						.add(layout
								.createParallelGroup(
										org.jdesktop.layout.GroupLayout.TRAILING,
										false)
								.add(org.jdesktop.layout.GroupLayout.LEADING,
										layout.createSequentialGroup()
												.add(layout
														.createParallelGroup(
																org.jdesktop.layout.GroupLayout.LEADING)
														.add(layout
																.createSequentialGroup()
																.add(90, 90, 90)
																.add(tfNom,
																		org.jdesktop.layout.GroupLayout.PREFERRED_SIZE,
																		81,
																		org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
														.add(jLabel5,
																org.jdesktop.layout.GroupLayout.PREFERRED_SIZE,
																86,
																org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
												.addPreferredGap(
														org.jdesktop.layout.LayoutStyle.RELATED,
														org.jdesktop.layout.GroupLayout.DEFAULT_SIZE,
														Short.MAX_VALUE)
												.add(jLabel6,
														org.jdesktop.layout.GroupLayout.PREFERRED_SIZE,
														54,
														org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
												.addPreferredGap(
														org.jdesktop.layout.LayoutStyle.RELATED)
												.add(tfPrenom,
														org.jdesktop.layout.GroupLayout.PREFERRED_SIZE,
														87,
														org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
								.add(org.jdesktop.layout.GroupLayout.LEADING,
										layout.createSequentialGroup()
												.add(jLabel7,
														org.jdesktop.layout.GroupLayout.PREFERRED_SIZE,
														86,
														org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
												.addPreferredGap(
														org.jdesktop.layout.LayoutStyle.RELATED)
												.add(tfGrade,
														org.jdesktop.layout.GroupLayout.PREFERRED_SIZE,
														181,
														org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
												.addPreferredGap(
														org.jdesktop.layout.LayoutStyle.RELATED)
												.add(btnGetGrade,
														org.jdesktop.layout.GroupLayout.PREFERRED_SIZE,
														30,
														org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
												.addPreferredGap(
														org.jdesktop.layout.LayoutStyle.RELATED)
												.add(btnDelGrade,
														org.jdesktop.layout.GroupLayout.PREFERRED_SIZE,
														30,
														org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
						.add(44, 44, 44)
						.add(layout
								.createParallelGroup(
										org.jdesktop.layout.GroupLayout.TRAILING)
								.add(layout
										.createSequentialGroup()
										.add(jLabel11,
												org.jdesktop.layout.GroupLayout.PREFERRED_SIZE,
												86,
												org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
										.addPreferredGap(
												org.jdesktop.layout.LayoutStyle.RELATED)
										.add(tfCodeElement,
												org.jdesktop.layout.GroupLayout.PREFERRED_SIZE,
												58,
												org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
								.add(layout
										.createSequentialGroup()
										.add(jLabel12,
												org.jdesktop.layout.GroupLayout.DEFAULT_SIZE,
												114, Short.MAX_VALUE)
										.addPreferredGap(
												org.jdesktop.layout.LayoutStyle.RELATED)
										.add(tfCodeImput,
												org.jdesktop.layout.GroupLayout.PREFERRED_SIZE,
												58,
												org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
						.addPreferredGap(
								org.jdesktop.layout.LayoutStyle.RELATED)
						.add(layout
								.createParallelGroup(
										org.jdesktop.layout.GroupLayout.LEADING)
								.add(tfLibelleImput,
										org.jdesktop.layout.GroupLayout.DEFAULT_SIZE,
										205, Short.MAX_VALUE)
								.add(tfLibelleElement,
										org.jdesktop.layout.GroupLayout.PREFERRED_SIZE,
										205,
										org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
						.addPreferredGap(
								org.jdesktop.layout.LayoutStyle.RELATED)
						.add(layout
								.createParallelGroup(
										org.jdesktop.layout.GroupLayout.LEADING)
								.add(layout
										.createSequentialGroup()
										.add(buttonGetElement,
												org.jdesktop.layout.GroupLayout.PREFERRED_SIZE,
												23,
												org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
										.addPreferredGap(
												org.jdesktop.layout.LayoutStyle.RELATED)
										.add(buttonDelElement,
												org.jdesktop.layout.GroupLayout.PREFERRED_SIZE,
												23,
												org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
								.add(layout
										.createSequentialGroup()
										.add(buttonGetCompte,
												org.jdesktop.layout.GroupLayout.PREFERRED_SIZE,
												23,
												org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
										.addPreferredGap(
												org.jdesktop.layout.LayoutStyle.RELATED)
										.add(buttonDelCompte,
												org.jdesktop.layout.GroupLayout.PREFERRED_SIZE,
												23,
												org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
						.addContainerGap())
				.add(layout
						.createSequentialGroup()
						.addContainerGap()
						.add(jLabel14,
								org.jdesktop.layout.GroupLayout.PREFERRED_SIZE,
								86,
								org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
						.addPreferredGap(
								org.jdesktop.layout.LayoutStyle.RELATED)
						.add(titulaires, 0, 98, Short.MAX_VALUE)
						.addPreferredGap(
								org.jdesktop.layout.LayoutStyle.UNRELATED)
						.add(enseignants, 0, 183, Short.MAX_VALUE)
						.add(461, 461, 461))
				.add(jTextField3, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE,
						852, Short.MAX_VALUE)
				.add(org.jdesktop.layout.GroupLayout.TRAILING,
						layout.createSequentialGroup()
								.add(16, 16, 16)
								.add(buttonUpdate,
										org.jdesktop.layout.GroupLayout.PREFERRED_SIZE,
										159,
										org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
								.addPreferredGap(
										org.jdesktop.layout.LayoutStyle.UNRELATED)
								.add(jLabel3,
										org.jdesktop.layout.GroupLayout.PREFERRED_SIZE,
										45,
										org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
								.addPreferredGap(
										org.jdesktop.layout.LayoutStyle.RELATED)
								.add(tfCountRows,
										org.jdesktop.layout.GroupLayout.PREFERRED_SIZE,
										50,
										org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
								.addPreferredGap(
										org.jdesktop.layout.LayoutStyle.RELATED,
										125, Short.MAX_VALUE)
								.add(buttonImprimer,
										org.jdesktop.layout.GroupLayout.PREFERRED_SIZE,
										40,
										org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
								.add(18, 18, 18)
								.add(buttonExporter,
										org.jdesktop.layout.GroupLayout.PREFERRED_SIZE,
										40,
										org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
								.add(172, 172, 172)
								.add(jLabel2,
										org.jdesktop.layout.GroupLayout.PREFERRED_SIZE,
										31,
										org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
								.addPreferredGap(
										org.jdesktop.layout.LayoutStyle.RELATED)
								.add(tfTotal,
										org.jdesktop.layout.GroupLayout.PREFERRED_SIZE,
										128,
										org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
								.addContainerGap())
				.add(layout
						.createSequentialGroup()
						.addContainerGap()
						.add(viewTable,
								org.jdesktop.layout.GroupLayout.DEFAULT_SIZE,
								826, Short.MAX_VALUE).add(16, 16, 16)));
		layout.setVerticalGroup(layout
				.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
				.add(layout
						.createSequentialGroup()
						.add(jTextField2,
								org.jdesktop.layout.GroupLayout.PREFERRED_SIZE,
								org.jdesktop.layout.GroupLayout.DEFAULT_SIZE,
								org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
						.addPreferredGap(
								org.jdesktop.layout.LayoutStyle.UNRELATED)
						.add(layout
								.createParallelGroup(
										org.jdesktop.layout.GroupLayout.LEADING)
								.add(layout
										.createSequentialGroup()
										.add(layout
												.createParallelGroup(
														org.jdesktop.layout.GroupLayout.BASELINE)
												.add(jLabel5)
												.add(tfNom,
														org.jdesktop.layout.GroupLayout.PREFERRED_SIZE,
														org.jdesktop.layout.GroupLayout.DEFAULT_SIZE,
														org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
												.add(tfPrenom,
														org.jdesktop.layout.GroupLayout.PREFERRED_SIZE,
														org.jdesktop.layout.GroupLayout.DEFAULT_SIZE,
														org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
												.add(jLabel6))
										.addPreferredGap(
												org.jdesktop.layout.LayoutStyle.UNRELATED)
										.add(layout
												.createParallelGroup(
														org.jdesktop.layout.GroupLayout.LEADING)
												.add(layout
														.createParallelGroup(
																org.jdesktop.layout.GroupLayout.BASELINE)
														.add(tfGrade,
																org.jdesktop.layout.GroupLayout.PREFERRED_SIZE,
																org.jdesktop.layout.GroupLayout.DEFAULT_SIZE,
																org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
														.add(jLabel7))
												.add(btnGetGrade,
														org.jdesktop.layout.GroupLayout.PREFERRED_SIZE,
														20,
														org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
												.add(btnDelGrade,
														org.jdesktop.layout.GroupLayout.PREFERRED_SIZE,
														20,
														org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
										.add(18, 18, 18)
										.add(layout
												.createParallelGroup(
														org.jdesktop.layout.GroupLayout.BASELINE)
												.add(jLabel14)
												.add(titulaires,
														org.jdesktop.layout.GroupLayout.PREFERRED_SIZE,
														org.jdesktop.layout.GroupLayout.DEFAULT_SIZE,
														org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
												.add(enseignants,
														org.jdesktop.layout.GroupLayout.PREFERRED_SIZE,
														org.jdesktop.layout.GroupLayout.DEFAULT_SIZE,
														org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
								.add(layout
										.createSequentialGroup()
										.add(layout
												.createParallelGroup(
														org.jdesktop.layout.GroupLayout.LEADING)
												.add(layout
														.createSequentialGroup()
														.add(layout
																.createParallelGroup(
																		org.jdesktop.layout.GroupLayout.BASELINE)
																.add(jLabel11)
																.add(tfLibelleElement)
																.add(tfCodeElement,
																		org.jdesktop.layout.GroupLayout.PREFERRED_SIZE,
																		org.jdesktop.layout.GroupLayout.DEFAULT_SIZE,
																		org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
														.add(2, 2, 2))
												.add(buttonGetElement,
														org.jdesktop.layout.GroupLayout.PREFERRED_SIZE,
														22,
														org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
												.add(buttonDelElement,
														org.jdesktop.layout.GroupLayout.PREFERRED_SIZE,
														22,
														org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
										.addPreferredGap(
												org.jdesktop.layout.LayoutStyle.RELATED)
										.add(layout
												.createParallelGroup(
														org.jdesktop.layout.GroupLayout.LEADING,
														false)
												.add(layout
														.createSequentialGroup()
														.add(2, 2, 2)
														.add(tfLibelleImput,
																org.jdesktop.layout.GroupLayout.PREFERRED_SIZE,
																org.jdesktop.layout.GroupLayout.DEFAULT_SIZE,
																org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
												.add(layout
														.createParallelGroup(
																org.jdesktop.layout.GroupLayout.BASELINE)
														.add(tfCodeImput,
																org.jdesktop.layout.GroupLayout.PREFERRED_SIZE,
																org.jdesktop.layout.GroupLayout.DEFAULT_SIZE,
																org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
														.add(jLabel12)
														.add(buttonGetCompte,
																org.jdesktop.layout.GroupLayout.PREFERRED_SIZE,
																22,
																org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
														.add(buttonDelCompte,
																org.jdesktop.layout.GroupLayout.PREFERRED_SIZE,
																22,
																org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
										.add(39, 39, 39)))
						.add(20, 20, 20)
						.add(jTextField3,
								org.jdesktop.layout.GroupLayout.PREFERRED_SIZE,
								org.jdesktop.layout.GroupLayout.DEFAULT_SIZE,
								org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
						.addPreferredGap(
								org.jdesktop.layout.LayoutStyle.UNRELATED)
						.add(viewTable,
								org.jdesktop.layout.GroupLayout.DEFAULT_SIZE,
								271, Short.MAX_VALUE)
						.addPreferredGap(
								org.jdesktop.layout.LayoutStyle.RELATED)
						.add(layout
								.createParallelGroup(
										org.jdesktop.layout.GroupLayout.BASELINE)
								.add(buttonExporter,
										org.jdesktop.layout.GroupLayout.PREFERRED_SIZE,
										22,
										org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
								.add(buttonImprimer,
										org.jdesktop.layout.GroupLayout.PREFERRED_SIZE,
										22,
										org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
								.add(buttonUpdate)
								.add(jLabel2)
								.add(tfTotal,
										org.jdesktop.layout.GroupLayout.PREFERRED_SIZE,
										org.jdesktop.layout.GroupLayout.DEFAULT_SIZE,
										org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
								.add(jLabel3)
								.add(tfCountRows,
										org.jdesktop.layout.GroupLayout.PREFERRED_SIZE,
										org.jdesktop.layout.GroupLayout.DEFAULT_SIZE,
										org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
						.addContainerGap()));
	}// </editor-fold>//GEN-END:initComponents

	private void tfNomActionPerformed(java.awt.event.ActionEvent evt) {// GEN-FIRST:event_tfNomActionPerformed
		// TODO add your handling code here:
	}// GEN-LAST:event_tfNomActionPerformed

	private void titulairesActionPerformed(java.awt.event.ActionEvent evt) {// GEN-FIRST:event_titulairesActionPerformed
		// TODO add your handling code here:
	}// GEN-LAST:event_titulairesActionPerformed

	private void enseignantsActionPerformed(java.awt.event.ActionEvent evt) {// GEN-FIRST:event_enseignantsActionPerformed
		// TODO add your handling code here:
	}// GEN-LAST:event_enseignantsActionPerformed

	private void tfGradeActionPerformed(java.awt.event.ActionEvent evt) {// GEN-FIRST:event_tfGradeActionPerformed
		// TODO add your handling code here:
	}// GEN-LAST:event_tfGradeActionPerformed

	private void tfLibelleElementActionPerformed(java.awt.event.ActionEvent evt) {// GEN-FIRST:event_tfLibelleElementActionPerformed
		// TODO add your handling code here:
	}// GEN-LAST:event_tfLibelleElementActionPerformed

	private void tfLibelleImputActionPerformed(java.awt.event.ActionEvent evt) {// GEN-FIRST:event_tfLibelleImputActionPerformed
		// TODO add your handling code here:
	}// GEN-LAST:event_tfLibelleImputActionPerformed

	private void tfCodeElementActionPerformed(java.awt.event.ActionEvent evt) {// GEN-FIRST:event_tfCodeElementActionPerformed
		// TODO add your handling code here:
	}// GEN-LAST:event_tfCodeElementActionPerformed

	private void tfCodeImputActionPerformed(java.awt.event.ActionEvent evt) {// GEN-FIRST:event_tfCodeImputActionPerformed
		// TODO add your handling code here:
	}// GEN-LAST:event_tfCodeImputActionPerformed

	// Variables declaration - do not modify//GEN-BEGIN:variables
	private javax.swing.JButton btnDelGrade;
	private javax.swing.JButton btnGetGrade;
	protected javax.swing.JButton buttonDelCompte;
	protected javax.swing.JButton buttonDelElement;
	private javax.swing.JButton buttonExporter;
	protected javax.swing.JButton buttonGetCompte;
	protected javax.swing.JButton buttonGetElement;
	private javax.swing.JButton buttonImprimer;
	protected javax.swing.JButton buttonUpdate;
	protected javax.swing.JComboBox enseignants;
	private javax.swing.JLabel jLabel11;
	private javax.swing.JLabel jLabel12;
	private javax.swing.JLabel jLabel14;
	private javax.swing.JLabel jLabel2;
	private javax.swing.JLabel jLabel3;
	private javax.swing.JLabel jLabel5;
	private javax.swing.JLabel jLabel6;
	private javax.swing.JLabel jLabel7;
	private javax.swing.JTextField jTextField2;
	private javax.swing.JTextField jTextField3;
	protected javax.swing.JTextField tfCodeElement;
	protected javax.swing.JTextField tfCodeImput;
	private javax.swing.JTextField tfCountRows;
	private javax.swing.JTextField tfGrade;
	protected javax.swing.JTextField tfLibelleElement;
	protected javax.swing.JTextField tfLibelleImput;
	private javax.swing.JTextField tfNom;
	private javax.swing.JTextField tfPrenom;
	private javax.swing.JTextField tfTotal;
	protected javax.swing.JComboBox titulaires;
	protected javax.swing.JPanel viewTable;

	// End of variables declaration//GEN-END:variables

	private void initGui() {

		buttonGetCompte.setIcon(KakiIcones.ICON_SELECT_16);
		buttonGetElement.setIcon(KakiIcones.ICON_SELECT_16);

		buttonDelCompte.setIcon(KakiIcones.ICON_DELETE);
		buttonDelElement.setIcon(KakiIcones.ICON_DELETE);

		btnDelGrade.setIcon(KakiIcones.ICON_DELETE);
		btnGetGrade.setIcon(KakiIcones.ICON_SELECT_16);

		buttonUpdate.setIcon(KakiIcones.ICON_PARAMS_16);
		buttonImprimer.setIcon(KakiIcones.ICON_PRINTER_22);
		buttonExporter.setIcon(KakiIcones.ICON_EXCEL_22);

		Vector<ZEOTableModelColumn> myCols = new Vector<ZEOTableModelColumn>();

		ZEOTableModelColumn col = new ZEOTableModelColumn(eod, "MOIS_LIBELLE",
				"MOIS", 40);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eod, "NOM_USUEL", "NOM", 100);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eod, "PRENOM", "PRENOM", 80);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eod, "LIB_GRADE", "GRADE", 110);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eod, "PAYE_COUT", "COUT", 60);
		col.setAlignment(SwingConstants.RIGHT);
		col.setColumnClass(BigDecimal.class);
		myCols.add(col);

		myTableModel = new ZEOTableModel(eod, myCols);
		myTableSorter = new TableSorter(myTableModel);

		myEOTable = new ZEOTable(myTableSorter);
		// myEOTable.addListener(myListenerContrat);
		myTableSorter.setTableHeader(myEOTable.getTableHeader());

		myEOTable.setBackground(KakiConstantes.COLOR_BKG_TABLE_VIEW);
		myEOTable.setSelectionBackground(KakiConstantes.COLOR_SELECTED_ROW);
		myEOTable
				.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);

		viewTable.setLayout(new BorderLayout());
		viewTable.setBorder(BorderFactory.createEmptyBorder(2, 2, 2, 2));
		viewTable.removeAll();
		viewTable.add(new JScrollPane(myEOTable), BorderLayout.CENTER);

	}

	public javax.swing.JButton getButtonDelCompte() {
		return buttonDelCompte;
	}

	public void setButtonDelCompte(javax.swing.JButton buttonDelCompte) {
		this.buttonDelCompte = buttonDelCompte;
	}

	public javax.swing.JButton getButtonDelElement() {
		return buttonDelElement;
	}

	public void setButtonDelElement(javax.swing.JButton buttonDelElement) {
		this.buttonDelElement = buttonDelElement;
	}

	public javax.swing.JButton getButtonGetCompte() {
		return buttonGetCompte;
	}

	public void setButtonGetCompte(javax.swing.JButton buttonGetCompte) {
		this.buttonGetCompte = buttonGetCompte;
	}

	public javax.swing.JButton getButtonGetElement() {
		return buttonGetElement;
	}

	public void setButtonGetElement(javax.swing.JButton buttonGetElement) {
		this.buttonGetElement = buttonGetElement;
	}

	public javax.swing.JTextField getTfCodeElement() {
		return tfCodeElement;
	}

	public void setTfCodeElement(javax.swing.JTextField tfCodeElement) {
		this.tfCodeElement = tfCodeElement;
	}

	public javax.swing.JTextField getTfCodeImput() {
		return tfCodeImput;
	}

	public void setTfCodeImput(javax.swing.JTextField tfCodeImput) {
		this.tfCodeImput = tfCodeImput;
	}

	public javax.swing.JTextField getTfGrade() {
		return tfGrade;
	}

	public void setTfGrade(javax.swing.JTextField tfGrade) {
		this.tfGrade = tfGrade;
	}

	public javax.swing.JTextField getTfLibelleElement() {
		return tfLibelleElement;
	}

	public void setTfLibelleElement(javax.swing.JTextField tfLibelleElement) {
		this.tfLibelleElement = tfLibelleElement;
	}

	public javax.swing.JTextField getTfLibelleImput() {
		return tfLibelleImput;
	}

	public void setTfLibelleImput(javax.swing.JTextField tfLibelleImput) {
		this.tfLibelleImput = tfLibelleImput;
	}

	public ZEOTableModel getMyTableModel() {
		return myTableModel;
	}

	public void setMyTableModel(ZEOTableModel myTableModel) {
		this.myTableModel = myTableModel;
	}

	public javax.swing.JButton getBtnGetGrade() {
		return btnGetGrade;
	}

	public void setBtnGetGrade(javax.swing.JButton btnGetGrade) {
		this.btnGetGrade = btnGetGrade;
	}

	public javax.swing.JButton getBtnDelGrade() {
		return btnDelGrade;
	}

	public void setBtnDelGrade(javax.swing.JButton btnDelGrade) {
		this.btnDelGrade = btnDelGrade;
	}

	public javax.swing.JButton getButtonExporter() {
		return buttonExporter;
	}

	public void setButtonExporter(javax.swing.JButton buttonExporter) {
		this.buttonExporter = buttonExporter;
	}

	public javax.swing.JButton getButtonImprimer() {
		return buttonImprimer;
	}

	public void setButtonImprimer(javax.swing.JButton buttonImprimer) {
		this.buttonImprimer = buttonImprimer;
	}

	public javax.swing.JButton getButtonUpdate() {
		return buttonUpdate;
	}

	public void setButtonUpdate(javax.swing.JButton buttonUpdate) {
		this.buttonUpdate = buttonUpdate;
	}

	public javax.swing.JComboBox getEnseignants() {
		return enseignants;
	}

	public void setEnseignants(javax.swing.JComboBox enseignants) {
		this.enseignants = enseignants;
	}

	public javax.swing.JTextField getTfCountRows() {
		return tfCountRows;
	}

	public void setTfCountRows(javax.swing.JTextField tfCountRows) {
		this.tfCountRows = tfCountRows;
	}

	public javax.swing.JTextField getTfNom() {
		return tfNom;
	}

	public void setTfNom(javax.swing.JTextField tfNom) {
		this.tfNom = tfNom;
	}

	public javax.swing.JTextField getTfPrenom() {
		return tfPrenom;
	}

	public void setTfPrenom(javax.swing.JTextField tfPrenom) {
		this.tfPrenom = tfPrenom;
	}

	public javax.swing.JTextField getTfTotal() {
		return tfTotal;
	}

	public void setTfTotal(javax.swing.JTextField tfTotal) {
		this.tfTotal = tfTotal;
	}

	public javax.swing.JComboBox getTitulaires() {
		return titulaires;
	}

	public void setTitulaires(javax.swing.JComboBox titulaires) {
		this.titulaires = titulaires;
	}

}
